---
title: Map.prototype.size
slug: Web/JavaScript/Reference/Global_Objects/Map/size
tags:
  - ECMAScript 2015
  - JavaScript
  - Map
  - Property
---
<div>{{JSRef}}</div>

<p>The <strong><code>size</code></strong> accessor property returns the number of elements in a {{jsxref("Map")}} object.</p>

<div>{{EmbedInteractiveExample("pages/js/map-prototype-size.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Description">Description</h2>

<p>The value of <code>size</code> is an integer representing how many entries the <code>Map</code> object has. A set accessor function for <code>size</code> is <code>undefined</code>; you can not change this property.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_size">Using size</h3>

<pre class="brush:js notranslate">var myMap = new Map();
myMap.set('a', 'alpha');
myMap.set('b', 'beta');
myMap.set('g', 'gamma');

myMap.size // 3
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-get-map.prototype.size', 'Map.prototype.size')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Map.size")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Map")}}</li>
</ul>
